This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 699316

Summary: Review Request: inkscape-textext - Textext is an extension for Inkscape that allows adding LaTeX-generated editable text objects to the SVG drawings
Product: [Fedora] Fedora Reporter: Willington Vega <wvega>
Component: Package ReviewAssignee: Nobody's working on this, feel free to take it <nobody>
Status: CLOSED INSUFFICIENT_DATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: unspecified    
Version: rawhideCC: fedora-package-review, mail, notting, pikachu.2014, susi.lehtola
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-05-09 00:16:04 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:

Description Willington Vega 2011-04-25 00:47:04 EDT
Spec URL: http://files.wvega.com/fedora/inkscape-textext/inkscape-textext.spec
SRPM URL: http://files.wvega.com/fedora/inkscape-textext/inkscape-textext-0.4.4-1.fc14.src.rpm

Description: Textext is an extension for Inkscape that allows adding
LaTeX-generated text objects to your SVG drawing. These text objects 
can be edited after creating them.

This brings some of the power of TeX typesetting to Inkscape.

Notes: 
- This is my first package and I'm going to need a sponsor.
- The package is for version 0.4.4 of the extension which requires Inkscape 0.46 or later. It works for me with inkscape-0.48.1-1.fc14.x86_64 
- rpmlint shows no warnings and the package builds in mock.
Comment 1 Fabian Affolter 2011-06-04 12:22:07 EDT
(In reply to comment #0)
> - rpmlint shows no warnings and the package builds in mock.

rpmlint shows this:

[fab@laptop021 SRPMS]$ rpmlint inkscape-textext-0.4.4-1.fc14.src.rpm 
inkscape-textext.src: W: summary-ended-with-dot C Textext is an extension for Inkscape that allows adding LaTeX-generated editable text objects to the SVG drawings.
inkscape-textext.src: E: summary-too-long C Textext is an extension for Inkscape that allows adding LaTeX-generated editable text objects to the SVG drawings.
1 packages and 0 specfiles checked; 1 errors, 1 warnings.

[fab@laptop021 noarch]$ rpmlint inkscape-textext-0.4.4-1.fc15.noarch.rpm 
inkscape-textext.noarch: W: summary-ended-with-dot C Textext is an extension for Inkscape that allows adding LaTeX-generated editable text objects to the SVG drawings.
inkscape-textext.noarch: E: summary-too-long C Textext is an extension for Inkscape that allows adding LaTeX-generated editable text objects to the SVG drawings.
inkscape-textext.noarch: W: no-documentation
1 packages and 0 specfiles checked; 1 errors, 2 warnings.
Comment 2 Willington Vega 2011-11-21 09:31:37 EST
Thank you Fabian. 

I fixed those warnings and errors. The new SPEC and SRPM are here:

SPEC: http://files.wvega.com/fedora/inkscape-textext/inkscape-textext.spec
SRPM: http://files.wvega.com/fedora/inkscape-textext/inkscape-textext-0.4.4-2.20091127hg.fc15.src.rpm
Comment 4 Willington Vega 2011-12-24 17:42:40 EST
Hi Ryan, thank you for your feedback.

Here are the outputs from rpmlint -v for the latest SPEC file and SRPM (comment 2):

rpmlint -v SPECS/inkscape-textext.spec 
SPECS/inkscape-textext.spec: I: checking-url https://bitbucket.org/pv/textext/get/9260a2461344.tar.gz (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint -v SRPMS/inkscape-textext-0.4.4-2.20091127hg.fc15.src.rpm 
inkscape-textext.src: I: checking
inkscape-textext.src: I: checking-url http://pav.iki.fi/software/textext/ (timeout 10 seconds)
inkscape-textext.src: I: checking-url https://bitbucket.org/pv/textext/get/9260a2461344.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

And here is the link to Koji scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3604835

I've been reading those wiki pages lately while doing some informal reviews. I'm still learning though. Links to informal reviews:

https://bugzilla.redhat.com/show_bug.cgi?id=757156#c1
https://bugzilla.redhat.com/show_bug.cgi?id=769096#c1
Comment 5 Mohamed El Morabity 2011-12-24 18:04:20 EST
Some comments:

- About the Requires: don't rely on "texlive-latex", but rather on "tex(latex)", as explained here:
   http://fedoraproject.org/wiki/Packaging_tricks#Installing_TeX_files_.28unvetted.29
If one day Fedora decides to switch to another (La)TeX distribution (it already happened once, from teTeX to TeXLive), there will be no need to fix the Requires on TeX tools, thanks to this virtual Provides.

- There's an extra underscore after "Inkscape" in the description.

- You can remove the BuildRoot tag, as well as all build root cleaning stuff. You can also remove the %defattr macro in  %files:
   http://fedoraproject.org/wiki/Packaging:Guidelines#BuildRoot_tag
   http://fedoraproject.org/wiki/Packaging:Guidelines#.25clean
   http://fedoraproject.org/wiki/Packaging:Guidelines#File_Permissions

- There is a stable version 0.4.4, but you packaged a developement version one. Could you justify your choice?

- You can remove python-lxml from the Requires, it is already required by inkscape.

- About this line:
   %attr(644,root,root) %{_datadir}/inkscape/extensions/textext.inx
If you need to fix the rights of some installed file, you'd better using the install in %install: you can use the following line instead of "cp":
   install -pm 0644 textext.py %{buildroot}%{_datadir}/inkscape/extensions/

- Don't forget to set the Group tag for this package. You can use the same than inkscape, that is to say:
   Group:   Applications/Productivity
Comment 6 Ryan H. Lewis (rhl) 2011-12-24 20:59:22 EST
Hi, sorry, please rpmlint -v the actual rpm.
Comment 7 Willington Vega 2011-12-25 00:03:22 EST
Hello Mohamed, thank you for your comments. I applied the changes you suggested and created new SPEC, SRPM and RPM.

http://files.wvega.com/fedora/inkscape-textext/inkscape-textext.spec
http://files.wvega.com/fedora/inkscape-textext/inkscape-textext-0.4.4-3.20091127hg.fc15.src.rpm

previous SPEC file can be found at:

http://files.wvega.com/fedora/inkscape-textext/inkscape-textext-0.4.4-2.spec


(In reply to comment #5)
> - There is a stable version 0.4.4, but you packaged a developement version one.
> Could you justify your choice?

The snapshot from 2009-11-27 is the version I started using and inspired me to create the package. The stable version 0.4.4 was released about a year before, on 2008-10-04, and I honestly never tested it because the development version just worked. I thought it would be good to include the latest changes in the package, which seems to add some fixes.

I can start testing the stable version and see how it works if that's a better approach.


(In reply to comment #6)
> Hi, sorry, please rpmlint -v the actual rpm.

Below is koji scratch build info and the rpmlint -v output for the updated SPEC, SRPM and RPM:

Koji task:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3604960

rpmlint output:

rpmlint -v SPECS/inkscape-textext.spec 
SPECS/inkscape-textext.spec: I: checking-url https://bitbucket.org/pv/textext/get/9260a2461344.tar.gz (timeout 10 seconds)
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

rpmlint -v SRPMS/inkscape-textext-0.4.4-3.20091127hg.fc15.src.rpm 
inkscape-textext.src: I: checking
inkscape-textext.src: I: checking-url http://pav.iki.fi/software/textext/ (timeout 10 seconds)
inkscape-textext.src: I: checking-url https://bitbucket.org/pv/textext/get/9260a2461344.tar.gz (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

rpmlint -v RPMS/noarch/inkscape-textext-0.4.4-3.20091127hg.fc15.noarch.rpm 
inkscape-textext.noarch: I: checking
inkscape-textext.noarch: I: checking-url http://pav.iki.fi/software/textext/ (timeout 10 seconds)
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

Thank you all.
Comment 8 Mohamed El Morabity 2012-01-03 08:18:44 EST
Just one suggestion: to identify in a unique way the version/commit, you should mention the commit hash in the release:
    Release: 3.%{?hgdate}hg%{hghash}%{?dist}

For consistency, you should use also the install command to install the textext.py file.

The development version is OK for me, since it includes many fixes. And the package works very well in Inkscape :)
Comment 9 Willington Vega 2012-01-07 11:14:17 EST
Hello Mohamed,

Thank you for your feedback. I updated the spec file following your recommendations. Here are the links to the SPEC and the SRPM files

http://files.wvega.com/fedora/inkscape-textext/inkscape-textext.spec
http://files.wvega.com/fedora/inkscape-textext/inkscape-textext-0.4.4-4.20091127hg9260a2461344.fc15.src.rpm

previous spec file can be found at:

http://files.wvega.com/fedora/inkscape-textext/inkscape-textext-0.4.4-3.spec


rpmlint output:

$ rpmlint SPECS/inkscape-textext.spec 
0 packages and 1 specfiles checked; 0 errors, 0 warnings.

$ rpmlint RPMS/noarch/inkscape-textext-0.4.4-4.20091127hg9260a2461344.fc15.noarch.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.

$ rpmlint SRPMS/inkscape-textext-0.4.4-4.20091127hg9260a2461344.fc15.src.rpm 
1 packages and 0 specfiles checked; 0 errors, 0 warnings.


and Koji scratch build:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3627498
Comment 10 Jason Tibbitts 2013-05-08 18:32:20 EDT
I am triaging old review tickets.  I apologize that it has been so long since 
anyone looked at this ticket, but there are more packages submitted now than
the pool of reviewers can handle, and some tickets fall through the cracks.

In order to keep the queue manageable, we need to occasionally find tickets 
which are not reviewable so as to not waste what reviewer time is available.  
Accordingly, I'm pinging this ticket and setting NEEDINFO.  If you are still 
interested in having your package reviewed, please do the following:

* Make sure your package still reflects the current status of its upstream.

* Check that your package still builds on current Fedora releases.

* Audit your package versus the current status of the packaging guidelines, 
  current rpmlint and current fedora-review tools.

And, finally, reply, making sure that the NEEDINFO flag gets cleared so that
this ticket reappears in the review queue.  I can't promise a review if you 
reply, but by closing out the stale tickets we can devote extra attention to 
the ones which aren't stale.
Comment 11 Willington Vega 2013-05-09 00:16:04 EDT
Hi Jason,

I'm no longer interested in having this package reviewed. I'll close the bug.

Thank you.